import { Construct } from 'constructs';
import { Job, JobProps } from './job';
import { Stack } from './stack';
import { Workflow } from './workflow';
/**
 * Configuration for a CDKActionsStack instance.
 */
export interface CDKActionsProps {
    /**
     * Push updated manifests if they are out of date.
     *
     * @default - false
     */
    readonly pushUpdatedManifests?: boolean;
}
/**
 * Provided CDKActions Stack that configures a workflow to validate cdkactions.
 */
export declare class CDKActionsStack extends Stack {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: CDKActionsProps);
}
/**
 * A special Job that includes a checkout step automatically.
 */
export declare class CheckoutJob extends Job {
    /**
     *
     */
    constructor(scope: Workflow, id: string, config: JobProps);
}
